curl --request POST \
--url https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/documents/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentId": "<string>"
}
'{
"id": "<string>",
"employeeId": "<string>",
"orgId": "<string>",
"documentType": "payslip",
"documentName": "<string>",
"gcsBucket": "<string>",
"gcsPath": "<string>",
"mimeType": "<string>",
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"fileSizeBytes": 123,
"documentDate": "2023-12-25",
"templateId": 123,
"createdBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Confirm that a document was successfully uploaded to GCS
curl --request POST \
--url https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/documents/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentId": "<string>"
}
'{
"id": "<string>",
"employeeId": "<string>",
"orgId": "<string>",
"documentType": "payslip",
"documentName": "<string>",
"gcsBucket": "<string>",
"gcsPath": "<string>",
"mimeType": "<string>",
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"fileSizeBytes": 123,
"documentDate": "2023-12-25",
"templateId": 123,
"createdBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Get token from Auth0 and paste it here
Request schema for confirming upload completion.
Document ID to confirm
Successful Response
Response schema for document information.
Document ID
Employee ID
Employee ID
payslip, contract, work_permit, id_document, proof_of_address, org_logo, uk_bacs_file, uk_bacs_file_csv, other User-friendly document name
GCS bucket name
GCS path
active, archived, deleted, pending_upload Creation timestamp
File size in bytes
Document date/period
Template ID (if generated)
User who created the document
Last update timestamp
Was this page helpful?